Skip to main content

Appointment Deletion

This endpoint allows you to delete an appointment. While this is a delete endpoint, the appointment will actually be set to status=CANCELLED. If the appointment was previously confirmed, this will send an email to the employee assigned to the appointment notifying them of the appointment cancellation.

DELETE
/api/v2/appointments/:appointment_id

Response

Example responseJSON200 · application/json
{
  "data": {
    "message": "success",
    "notification_sent": true
  }
}

Appointment Not Found (404)

This example shows the response when attempting to delete an appointment that does not exist. Note the id value here is a bare string — the Appointment Reschedule endpoint returns the same error text as an array for the same situation, not a bare string.

Error responseJSON404 · application/json
{
  "errors": {
    "appointment": { "id": "Appointment id=890 does not exist" }
  }
}